Next: XGATE-Syntax, Up: XGATE-Dependent

#### 9.50.1 XGATE Options

The Freescale XGATE version of `as` has a few machine dependent options.

`-mshort`
  This option controls the ABI and indicates to use a 16-bit integer ABI. It has no effect on the assembled instructions. This is the default.

`-mlong`
  This option controls the ABI and indicates to use a 32-bit integer ABI.

`-mshort-double`
  This option controls the ABI and indicates to use a 32-bit float ABI. This is the default.

`-mlong-double`
  This option controls the ABI and indicates to use a 64-bit float ABI.

`--print-insn-syntax`
  You can use the ‘`--print-insn-syntax`’ option to obtain the syntax description of the instruction when an error is detected.

`--print-opcodes`
  The ‘`--print-opcodes`’ option prints the list of all the instructions with their syntax. Once the list is printed `as` exits.